lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "Rustein/version"

Gem::Specification.new do |spec|
  spec.name          = "Rustein"
  spec.version       = Rustein::VERSION
  spec.authors       = ["LWFlouisa"]
  spec.email         = ["gitea@fake.local"]

  spec.summary       = %q{Assembles Dr. Zoidstein Python scripts in Ruby for the Python illiterate.}
  spec.description   = %q{Provides a more efficient way of writing Python scripts for Zoidsteins that's less error prone than hardcoding..}
  spec.homepage      = ""
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  
  spec.add_runtime_dependency "duck-duck-go", "~> 1.1.3"
end
